CompletedTaskAttempt (Apache Hadoop MapReduce HistoryServer 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.hs, class: CompletedTaskAttempt

Package org.apache.hadoop.mapreduce.v2.hs

# Class CompletedTaskAttempt

java.lang.Object
org.apache.hadoop.mapreduce.v2.hs.CompletedTaskAttempt

All Implemented Interfaces:
  `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

public class CompletedTaskAttempt extends Object implements org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.records.ContainerId`
  `getAssignedContainerID()`
  `String`
  `getAssignedContainerMgrAddress()`
  `org.apache.hadoop.mapreduce.Counters`
  `getCounters()`
  `List<String>`
  `getDiagnostics()`
  `long`
  `getFinishTime()`
  `org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId`
  `getID()`
  `long`
  `getLaunchTime()`
  `String`
  `getNodeHttpAddress()`
  `org.apache.hadoop.yarn.api.records.NodeId`
  `getNodeId()`
  `String`
  `getNodeRackName()`
  `org.apache.hadoop.mapreduce.v2.api.records.Phase`
  `getPhase()`
  `float`
  `getProgress()`
  `org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptReport`
  `getReport()`
  `long`
  `getShuffleFinishTime()`
  `int`
  `getShufflePort()`
  `long`
  `getSortFinishTime()`
  `org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptState`
  `getState()`
  `boolean`
  `isFinished()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getNodeId

    public org.apache.hadoop.yarn.api.records.NodeId getNodeId() throws UnsupportedOperationException
    Specified by:
      `getNodeId` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`
    Throws:
      `UnsupportedOperationException`

  - ### getAssignedContainerID

    public org.apache.hadoop.yarn.api.records.ContainerId getAssignedContainerID()
    Specified by:
      `getAssignedContainerID` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getAssignedContainerMgrAddress

    public String getAssignedContainerMgrAddress()
    Specified by:
      `getAssignedContainerMgrAddress` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getNodeHttpAddress

    public String getNodeHttpAddress()
    Specified by:
      `getNodeHttpAddress` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getNodeRackName

    public String getNodeRackName()
    Specified by:
      `getNodeRackName` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getCounters

    public org.apache.hadoop.mapreduce.Counters getCounters()
    Specified by:
      `getCounters` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getID

    public org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId getID()
    Specified by:
      `getID` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getProgress

    public float getProgress()
    Specified by:
      `getProgress` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getReport

    public org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptReport getReport()
    Specified by:
      `getReport` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getPhase

    public org.apache.hadoop.mapreduce.v2.api.records.Phase getPhase()
    Specified by:
      `getPhase` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getState

    public org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptState getState()
    Specified by:
      `getState` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### isFinished

    public boolean isFinished()
    Specified by:
      `isFinished` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getDiagnostics

    public List<String> getDiagnostics()
    Specified by:
      `getDiagnostics` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getLaunchTime

    public long getLaunchTime()
    Specified by:
      `getLaunchTime` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getFinishTime

    public long getFinishTime()
    Specified by:
      `getFinishTime` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getShuffleFinishTime

    public long getShuffleFinishTime()
    Specified by:
      `getShuffleFinishTime` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getSortFinishTime

    public long getSortFinishTime()
    Specified by:
      `getSortFinishTime` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`

  - ### getShufflePort

    public int getShufflePort()
    Specified by:
      `getShufflePort` in interface `org.apache.hadoop.mapreduce.v2.app.job.TaskAttempt`